package cpcns.common.facade;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.tool.service.IDingZhiService;
import cpcns.utils.CommStatic;
import cpcns.utils.JDBCUtil;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.Charset;
import java.sql.Connection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.util.StreamUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/api/da"})
public class updataContaroller {
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDingZhiService dingZhiService;
  
  private Logger logger = LoggerFactory.getLogger(getClass());
  
  @ResponseBody
  @RequestMapping({"/KFWZupdate.do"})
  public String updateKFWZ(HttpServletRequest request, HttpServletResponse response) throws IOException {
    this.logger.info("进入============/KFWZupdate.do方法==================");
    String infos = StreamUtils.copyToString((InputStream)request.getInputStream(), Charset.forName("UTF-8"));
    this.logger.info("请求的参数是infos==============================" + infos);
    Map<String, String> resu = new HashMap<>();
    Map<String, String> cachml = new HashMap<>();
    if (StringUtils.isNotBlank(infos)) {
      JSONObject jSONObject = JSONObject.parseObject(infos);
      Object type = jSONObject.get("Type");
      Object info = jSONObject.get("info");
      Connection connection = getConn();
      this.logger.info("数据库连接成功！================");
      if (info != null) {
        this.logger.info("info================" + info);
        JSONArray<JSONObject> jSONArray = JSONObject.parseArray(info.toString());
        for (Integer i = Integer.valueOf(0); i.intValue() < jSONArray.size(); i = Integer.valueOf(i.intValue() + 1)) {
          JSONObject jsonObject = jSONArray.get(i.intValue());
          String DangHao = jsonObject.getString("DangHao");
          this.logger.info("DangHao================" + DangHao);
          String menLeis = jsonObject.getString("MenLei");
          String cfwz = jsonObject.getString("CunFangWeiZhi");
          String[] ta_ml = menLeis.split("-");
          String table = cachml.get("MenLei");
          String rqtable = ta_ml[0];
          String ml = ta_ml[1];
          if (StringUtils.isBlank(table)) {
            GDangAnMenLei daml = this.gDangAnMenLeiService.getByFenLeiHao(ml);
            if (daml != null) {
              table = daml.getBiaoMing();
              this.logger.info("table================" + table);
              cachml.put("MenLei", table);
            } 
          } 
          StringBuffer upsql = (new StringBuffer("update ")).append(rqtable).append(" set ");
          StringBuffer upsqlwj = (new StringBuffer("update ")).append(table).append(" set ");
          String wz = "";
          if ("D_YinXiang".equalsIgnoreCase(rqtable) || "D_ShiWu".equalsIgnoreCase(rqtable)) {
            wz = "kufangweizhi='";
          } else {
            wz = "cunfangweizhi='";
          } 
          String jyzt = "";
          if ("1".equals(type) || "3".equals(type)) {
            jyzt = ",jieyuezhuangtai=0";
          } else if (StringUtils.isBlank(cfwz)) {
            jyzt = ",jieyuezhuangtai=0";
          } else {
            jyzt = ",jieyuezhuangtai=1";
          } 
          upsql.append(wz).append(cfwz).append("'").append(" where dangHao='").append(DangHao).append("' and menLei='").append(ml).append("'");
          JDBCUtil.JDBCUpdateAndSave(connection, upsql.toString());
          StringBuffer sele = (new StringBuffer("select HANGBIAOSHI from ")).append(rqtable).append(" where dangHao='").append(DangHao).append("' and menLei='").append(ml).append("'");
          upsqlwj.append(wz).append(cfwz).append("'").append(jyzt).append(" where guanLianBiaoShi in (").append(sele).append(") and menLei='").append(ml).append("'");
          this.logger.info("upsqlwj.toString()================" + upsqlwj.toString());
          JDBCUtil.JDBCUpdateAndSave(connection, upsqlwj.toString());
        } 
      } else {
        resu.put("Ret", "-9");
        resu.put("Msg", "操作失败！info为空不能更新库房位置");
      } 
    } else {
      resu.put("Ret", "-9");
      resu.put("Msg", "操作失败！info为空不能更新库房位置");
    } 
    return JsonWithJacksonUtils.getInstance().map2Json(resu);
  }
  
  public Connection getConn() {
    String sql = "select databaseurl,databasedriver,yonghumingcheng,yonghumima from S_MANAGE where  solrtype=1 and hangbiaoshi = 4";
    List<Object[]> list = this.dingZhiService.getList(sql.toString());
    String IP = "";
    Object object1 = "";
    Object object2 = "";
    String driver = "";
    if (list != null && list.size() > 0) {
      Object[] obj = list.get(0);
      if (obj[0] != null)
        IP = this.dingZhiService.getXiTongDaiMaByMingCheng("23219", 2, (String)obj[0]); 
      if (obj[1] != null)
        driver = this.dingZhiService.getXiTongDaiMaByMingCheng("23215", 2, (String)obj[1]); 
      if (obj[3] != null)
        object1 = obj[3]; 
      if (obj[2] != null)
        object2 = obj[2]; 
    } 
    this.logger.info("数据库连接成功！driver================" + driver);
    this.logger.info("数据库连接成功！IP================" + IP);
    this.logger.info("数据库连接成功！user================" + object2);
    this.logger.info("数据库连接成功！mima================" + object1);
    return CommStatic.getConnection_(driver, IP, (String)object2, (String)object1);
  }
}
